import React, { Dispatch, SetStateAction } from 'react';
import { IModule } from '@orderingstack/ordering-types';
export type ModuleConfig = Pick<IModule, 'id' | 'type' | 'venue' | 'production' | 'config'> & {
    configSignature: string;
};
interface IModuleContext {
    moduleConfig?: ModuleConfig;
    setModuleConfig?: Dispatch<SetStateAction<ModuleConfig | undefined>>;
    onSignOut?: () => void;
}
export declare const ModuleContext: React.Context<IModuleContext>;
export declare function useModule(): IModuleContext;
export {};
