import { IRefreshTokenStorageHandler } from '@orderingstack/ordering-core';
import { ApplicationInsights } from '@microsoft/applicationinsights-web';
export declare const getTimeout: () => 500 | 20000;
export declare const getRetryTimeout: () => 35000 | 4000;
export declare function resetInitialized(): void;
/**
 * Network refresh token storage handler.
 * Compliant with <strong><em>/api/setdata</em></strong> and <strong><em>/api/getdata</em></strong> endpoints of Kiosk Local Service.
 */
export declare class NetworkRefreshTokenHandler implements IRefreshTokenStorageHandler {
    private static AppInsights;
    private static debug;
    static setRefreshToken(tenant: string, refreshToken: string, count?: number): Promise<void> | void;
    static getRefreshToken(tenant: string, options?: {
        count?: number;
        attemptCallback?: () => {};
        started?: number;
    }): Promise<string> | string;
    static clearRefreshToken(tenant: string, count?: number): Promise<void> | void;
    static setAppInsights(appInsights: ApplicationInsights): void;
    static setDebug(debug: boolean): void;
}
